<!--
white space in this file matters for the test
-->
### DESCRIPTION

This test is about matching lines that consist of tag `<a name="✱">` and
nothing else but white space, and not showing them.
Everything else is to be shown.

### TESTS

-------------------------------------------------------------------------------

**TEST showing malformed tags...**

<a name=></a>
<a name= ></a>

**RESULT** line above joins 2 malformed tags `<a name=></a> <a name= ></a>`

-------------------------------------------------------------------------------

**TEST showing tags that lack `name`...**

<a>
<a >
<a href="">

**RESULT** line above is `<a> <a > <a href="">`

-------------------------------------------------------------------------------

**TEST showing tags that are followed by non-white space...**

<a name></a>suffix
<a name > </a>suffix
<a name> </a> suffix

**RESULT** line above joins 3 variations of `<a name></a>suffix`

-------------------------------------------------------------------------------

**TEST matching valid tags... we show nothing until the next RESULT**

<a name></a>
<a name=""></a>
<a name="n"></a>
<a name="sp" > </a>
  	 <a name=""></a>
  	 <a name="n"></a>
  	 <a name="sp" > </a>
<a name=""></a>  	 
<a name="n"></a>  	 
<a name="sp"></a>  	 
  	 <a name=""></a>  	 
  	 <a name="n"></a>  	 
  	 <a name="sp" > </a>  	 

**RESULT** line above is "**TEST ... until the next RESULT"**

-------------------------------------------------------------------------------

**TEST validating code blocks...**

        <a name="show me"></a>

```
<a name="show me"></a>
```

**RESULT** there are 2 `<a name="show me">` lines above

-------------------------------------------------------------------------------

### PASS if all RESULT lines above are true
